Package com.google.android.exoplayer2.upstream

## Class LoadErrorHandlingPolicy.FallbackOptions

- java.lang.Object
- - com.google.android.exoplayer2.upstream.LoadErrorHandlingPolicy.FallbackOptions

- Enclosing interface:
    LoadErrorHandlingPolicy

      public static final class LoadErrorHandlingPolicy.FallbackOptions
      extends Object

  Holds information about the available fallback options.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `numberOfExcludedLocations` | The number of locations that are already excluded.
    `int` | `numberOfExcludedTracks` | The number of tracks that are already excluded.
    `int` | `numberOfLocations` | The number of available locations.
    `int` | `numberOfTracks` | The number of tracks.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FallbackOptions​(int numberOfLocations, int numberOfExcludedLocations, int numberOfTracks, int numberOfExcludedTracks)` | Creates an instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isFallbackAvailable​(@com.google.android.exoplayer2.upstream.LoadErrorHandlingPolicy.FallbackType int type)` | Returns whether a fallback is available for the given `fallback type`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### numberOfLocations

          public final int numberOfLocations

      The number of available locations.

    - #### numberOfExcludedLocations

          public final int numberOfExcludedLocations

      The number of locations that are already excluded.

    - #### numberOfTracks

          public final int numberOfTracks

      The number of tracks.

    - #### numberOfExcludedTracks

          public final int numberOfExcludedTracks

      The number of tracks that are already excluded.

  - ### Constructor Detail

    - #### FallbackOptions

          public FallbackOptions​(int numberOfLocations,
                                 int numberOfExcludedLocations,
                                 int numberOfTracks,
                                 int numberOfExcludedTracks)

      Creates an instance.

  - ### Method Detail

    - #### isFallbackAvailable

          public boolean isFallbackAvailable​(@com.google.android.exoplayer2.upstream.LoadErrorHandlingPolicy.FallbackType int type)

      Returns whether a fallback is available for the given `fallback type`.